"use strict";
/**
 * @file A specialization of `Html` that uses `React` as renderer.
 */
Object.defineProperty(exports, "__esModule", { value: true });
var html = require("./Html");
/**
 * `map()` is `Html.map()` with `Html` type constrained to the specialized version for `React`.
 * @since 0.5.0
 */
function map(f) {
    return html.map(f);
}
exports.map = map;
/**
 * `program()` is `Html.program()` with `Html` type constrained to the specialized version for `React`.
 * @since 0.5.0
 */
function program(init, update, view, subscriptions) {
    return html.program(init, update, view, subscriptions);
}
exports.program = program;
/**
 * Same as `program()` but with `Flags` that can be passed when the `Program` is created in order to manage initial values.
 * @since 0.5.0
 */
function programWithFlags(init, update, view, subscriptions) {
    return function (flags) { return program(init(flags), update, view, subscriptions); };
}
exports.programWithFlags = programWithFlags;
/**
 * `run()` is `Html.run()` with `dom` type constrained to the specialized version for `React`.
 * @since 0.5.0
 */
function run(program, renderer) {
    return html.run(program, renderer);
}
exports.run = run;
//# sourceMappingURL=React.js.map