/**
 * @file Defines `Sub`s as streams of messages.
 */
import { Observable } from 'rxjs';
/**
 * @since 0.5.0
 */
export interface Sub<Msg> extends Observable<Msg> {
}
/**
 * Maps `Msg` of a `Sub` into another `Msg`.
 * @since 0.5.0
 */
export declare function map<A, Msg>(f: (a: A) => Msg): (sub: Sub<A>) => Sub<Msg>;
/**
 * Merges subscriptions streams into one stream.
 * @since 0.5.0
 */
export declare function batch<Msg>(arr: Array<Sub<Msg>>): Sub<Msg>;
/**
 * A `none` subscription is an empty stream.
 * @since 0.5.0
 */
export declare const none: Sub<never>;
