"use strict";
/**
 * @file Defines `Sub`s as streams of messages.
 */
Object.defineProperty(exports, "__esModule", { value: true });
var rxjs_1 = require("rxjs");
var operators_1 = require("rxjs/operators");
/**
 * Maps `Msg` of a `Sub` into another `Msg`.
 * @since 0.5.0
 */
function map(f) {
    return function (sub) { return sub.pipe(operators_1.map(f)); };
}
exports.map = map;
/**
 * Merges subscriptions streams into one stream.
 * @since 0.5.0
 */
function batch(arr) {
    return rxjs_1.merge.apply(void 0, arr);
}
exports.batch = batch;
/**
 * A `none` subscription is an empty stream.
 * @since 0.5.0
 */
exports.none = rxjs_1.EMPTY;
//# sourceMappingURL=Sub.js.map