"use strict";
/**
 * @file Handles the execution of asynchronous effectful operations.
 *
 * See the [Task](https://package.elm-lang.org/packages/elm/core/latest/Task) Elm package.
 */
Object.defineProperty(exports, "__esModule", { value: true });
var Option_1 = require("fp-ts/lib/Option");
var Task_1 = require("fp-ts/lib/Task");
var rxjs_1 = require("rxjs");
/**
 * Executes a `Task` as a `Cmd` mapping the result to a `Msg`.
 * @since 0.5.0
 */
function perform(f) {
    return function (t) { return rxjs_1.of(Task_1.task.map(t, function (a) { return Option_1.some(f(a)); })); };
}
exports.perform = perform;
/**
 * Executes a `Task` that can fail as a `Cmd` mapping the result (`Either`) to a `Msg`.
 * @since 0.5.0
 */
function attempt(f) {
    return perform(f);
}
exports.attempt = attempt;
//# sourceMappingURL=Task.js.map