/**
 * @file Exposes some utilities to work with unix time.
 * See [Time](https://package.elm-lang.org/packages/elm/time/latest/Time) Elm package.
 */
import { Task } from 'fp-ts/lib/Task';
import { Sub } from './Sub';
/**
 * Get the current unix time as a `Task`.
 * @since 0.5.0
 */
export declare function now(): Task<number>;
/**
 * Get the current unix time periodically.
 * @since 0.5.0
 */
export declare function every<Msg>(time: number, f: (time: number) => Msg): Sub<Msg>;
