"use strict";
/**
 * @file Exposes some utilities to work with unix time.
 * See [Time](https://package.elm-lang.org/packages/elm/time/latest/Time) Elm package.
 */
Object.defineProperty(exports, "__esModule", { value: true });
var rxjs_1 = require("rxjs");
var operators_1 = require("rxjs/operators");
/**
 * Get the current unix time as a `Task`.
 * @since 0.5.0
 */
function now() {
    return function () { return Promise.resolve(new Date().getTime()); };
}
exports.now = now;
/**
 * Get the current unix time periodically.
 * @since 0.5.0
 */
function every(time, f) {
    return rxjs_1.interval(time).pipe(operators_1.map(function () { return f(new Date().getTime()); }));
}
exports.every = every;
//# sourceMappingURL=Time.js.map