/**
 * @file Defines `Sub`s as streams of messages.
 */
import { EMPTY, merge } from 'rxjs';
import { map as RxMap } from 'rxjs/operators';
/**
 * Maps `Msg` of a `Sub` into another `Msg`.
 * @since 0.5.0
 */
export function map(f) {
    return sub => sub.pipe(RxMap(f));
}
/**
 * Merges subscriptions streams into one stream.
 * @since 0.5.0
 */
export function batch(arr) {
    return merge(...arr);
}
/**
 * A `none` subscription is an empty stream.
 * @since 0.5.0
 */
export const none = EMPTY;
//# sourceMappingURL=Sub.js.map